Bug 1150273 (CVE-2014-6519) - CVE-2014-6519 OpenJDK: missing BootstrapMethods bounds check (Hotspot, 8041717)
Summary: CVE-2014-6519 OpenJDK: missing BootstrapMethods bounds check (Hotspot, 8041717)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-6519
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1148726
TreeView+ depends on / blocked
 
Reported: 2014-10-07 19:11 UTC by Tomas Hoger
Modified: 2019-09-29 13:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 09:27:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1620 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security and bug fix update 2014-10-15 05:26:31 UTC
Red Hat Product Errata RHSA-2014:1633 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security and bug fix update 2014-10-15 00:47:46 UTC
Red Hat Product Errata RHSA-2014:1634 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security and bug fix update 2014-10-15 06:09:01 UTC
Red Hat Product Errata RHSA-2014:1636 normal SHIPPED_LIVE Important: java-1.8.0-openjdk security update 2014-10-15 07:03:25 UTC
Red Hat Product Errata RHSA-2014:1657 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2017-12-15 15:36:32 UTC

Description Tomas Hoger 2014-10-07 19:11:40 UTC
It was discovered that the Hotspot JVM in OpenJDK failed to properly perform boundary checks when reading BootstrapMethods attributes from the Java class files.  A specially crafted class file could trigger JVM memory corruption.

Comment 1 Tomas Hoger 2014-10-14 20:09:35 UTC
Public now via Oracle Critical Patch Update - October 2014.  Fixed in Oracle Java SE 7u71, and 8u25.

External References:

http://www.oracle.com/technetwork/topics/security/cpuoct2014-1972960.html#AppendixJAVA

Comment 2 errata-xmlrpc 2014-10-14 20:48:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:1633 https://rhn.redhat.com/errata/RHSA-2014-1633.html

Comment 3 errata-xmlrpc 2014-10-15 01:27:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2014:1620 https://rhn.redhat.com/errata/RHSA-2014-1620.html

Comment 4 errata-xmlrpc 2014-10-15 02:09:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 5

Via RHSA-2014:1634 https://rhn.redhat.com/errata/RHSA-2014-1634.html

Comment 5 errata-xmlrpc 2014-10-15 03:03:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1636 https://rhn.redhat.com/errata/RHSA-2014-1636.html

Comment 7 errata-xmlrpc 2014-10-16 23:12:41 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2014:1657 https://rhn.redhat.com/errata/RHSA-2014-1657.html


Note You need to log in before you can comment on or make changes to this bug.